public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
* LVM2/test test-utils.sh t-test-partition.sh
@ 2010-10-20 15:14 zkabelac
  0 siblings, 0 replies; only message in thread
From: zkabelac @ 2010-10-20 15:14 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	zkabelac@sourceware.org	2010-10-20 15:14:13

Modified files:
	test           : test-utils.sh 
Added files:
	test           : t-test-partition.sh 

Log message:
	Add coverage test for partition table scanning

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/t-test-partition.sh.diff?cvsroot=lvm2&r1=NONE&r2=1.1
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/test-utils.sh.diff?cvsroot=lvm2&r1=1.52&r2=1.53

/cvs/lvm2/LVM2/test/t-test-partition.sh,v  -->  standard output
revision 1.1
--- LVM2/test/t-test-partition.sh
+++ -	2010-10-20 15:14:13.391062000 +0000
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Copyright (C) 2010 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions
+# of the GNU General Public License v.2.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+#
+# Testcase for bugzilla #621173 
+# excercises partition table scanning code path
+#
+
+which sfdisk || exit 200
+
+LVM_TEST_CONFIG_DEVICES="types = [\"device-mapper\", 142]"
+
+. ./test-utils.sh
+
+aux prepare_pvs 1 30
+
+pvs
+
+# create small partition table
+echo "1 2" | sfdisk $dev1
+
+pvs
--- LVM2/test/test-utils.sh	2010/10/15 16:28:15	1.52
+++ LVM2/test/test-utils.sh	2010/10/20 15:14:13	1.53
@@ -370,6 +370,7 @@
     cache_dir = "$TESTDIR/etc"
     sysfs_scan = 0
     default_data_alignment = 1
+    $LVM_TEST_CONFIG_DEVICES
   }
   log {
     syslog = 0


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2010-10-20 15:14 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2010-10-20 15:14 LVM2/test test-utils.sh t-test-partition.sh zkabelac

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).